export interface RequestAvatarGenerationResultDTO {
  requestId: string;
  status: 'validating' | 'generating' | 'completed' | 'failed';
  avatarUrls?: string[];
  errorMessage?: string;
}

export interface IRequestAvatarGenerationPresenter {
  reset(): void;
  present(dto: RequestAvatarGenerationResultDTO): void;
  get viewModel(): any;
  getViewModel(): any;
}